<resources>

    <!-- Base application theme. -->
    <style name="AppTheme" parent="QMUI.Compat.NoActionBar">
        <!--自定义dialog背景全透明无边框theme -->

<!--        <style name="MyEditText1" parent="Theme.AppCompat.Light">-->
<!--            <item name="colorControlNormal">@color/borderBrush</item>-->
<!--            <item name="colorControlActivated">@color/foreground</item>-->
<!--            <item name="android:textColorHint">@color/borderBrush</item>-->
<!--            <item name="android:imeOptions">flagNoFullscreen</item>-->
<!--        </style>-->
        <item name="colorPrimary">@color/app_color_blue</item>
        <item name="colorPrimaryDark">@color/app_color_blue</item>
        <!--<item name="colorAccent">@color/app_color_blue</item>-->
        <!-- 配置Android提供的theme -->

        <item name="android:textAppearanceListItemSmall">@style/QDTextAppearanceListItemSmall</item>
        <item name="android:textAppearanceListItem">@style/QDtextAppearanceListItem</item>
        <item name="android:listPreferredItemHeight">?attr/qmui_list_item_height_higher</item>
        <item name="android:listPreferredItemHeightSmall">?attr/qmui_list_item_height</item>

        <!-- 配置qmui提供的theme -->
        <item name="qmui_config_color_blue">@color/app_color_blue</item>
<!--        <item name="qmui_round_btn_bg_color">@color/s_btn_blue_bg</item>-->
<!--        <item name="qmui_round_btn_border_color">@color/s_btn_blue_border</item>-->
<!--        <item name="qmui_round_btn_text_color">@color/s_btn_blue_text</item>-->
        <item name="qmui_content_spacing_horizontal">20dp</item>
        <item name="qmui_content_padding_horizontal">@dimen/qmui_content_spacing_horizontal</item>

        <item name="QMUITopBarStyle">@style/QDTopBar</item>

        <!-- 配置app自己的theme -->
        <item name="app_primary_color">?attr/qmui_config_color_blue</item>
        <item name="app_content_bg_color">@color/qmui_config_color_white</item>


        <item name="qmui_dialog_inset_hor">64dp</item>
        <item name="qmui_dialog_title_style">@style/DialogTheme2TitleStyle</item>
        <item name="qmui_dialog_action_container_style">@style/DialogTheme2ActionContainerStyle
        </item>
        <item name="qmui_dialog_action_style">@style/DialogTheme2ActionStyle</item>
        <item name="qmui_dialog_message_content_style">@style/DialogTheme2MessageContentStyle</item>
        <item name="qmui_dialog_menu_container_style">@style/DialogTheme2MenuContainerStyle</item>
        <item name="qmui_dialog_menu_item_style">@style/DialogTheme2MenuItemStyle</item>
        <item name="qmui_dialog_max_width">700dp</item>
        <item name="qmui_dialog_min_width">550dp</item>
        <item name="qmui_dialog_edit_content_style">@style/DialogTheme2ContentStyle</item>
        <item name="qmui_skin_support_icon_mark">@drawable/ic_check</item>
<!--        <item name="android:windowAnimationStyle">@style/activityanim</item>-->

    </style>
<!--    <style name="activityanim" parent="@android:style/Animation">-->
<!--        <item name="android:activityOpenEnterAnimation">@anim/slide_right_in</item>-->
<!--        <item name="android:activityOpenExitAnimation">@anim/slide_left_out</item>-->
<!--        <item name="android:activityCloseEnterAnimation">@anim/slide_left_in</item>-->
<!--        <item name="android:activityCloseExitAnimation">@anim/slide_right_out</item>-->
<!--    </style>-->

    <style name="DialogTheme2TitleStyle" parent="QMUI.Dialog.Title">
        <item name="android:textColor">?attr/qmui_config_color_gray_1</item>
        <item name="android:textSize">26sp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingTop">26dp</item>
        <item name="android:singleLine">false</item>
        <item name="android:lineSpacingExtra">3dp</item>
    </style>
    <style name="DialogTheme2ActionContainerStyle">
        <item name="android:paddingLeft">0dp</item>
        <item name="android:paddingRight">0dp</item>
        <item name="android:paddingTop">0dp</item>
        <item name="android:paddingBottom">0dp</item>
        <item name="qmui_dialog_action_container_justify_content">stretch</item>
        <item name="qmui_dialog_action_height">50dp</item>
        <item name="qmui_dialog_action_space">8dp</item>
        <item name="qmui_topDividerColor">?attr/qmui_skin_support_color_separator</item>
        <item name="qmui_topDividerHeight">1px</item>
    </style>
    <style name="DialogTheme2ActionStyle">
        <item name="android:textColor">?attr/qmui_config_color_blue</item>
        <item name="android:textSize">26sp</item>
        <item name="android:gravity">center</item>
        <item name="android:minWidth">64dp</item>
        <item name="android:background">@null</item>
        <item name="qmui_dialog_action_button_padding_horizontal">12dp</item>
        <item name="qmui_dialog_action_icon_space">6dp</item>
        <item name="qmui_dialog_positive_action_text_color">?attr/qmui_config_color_blue</item>
        <item name="qmui_dialog_negative_action_text_color">?attr/qmui_config_color_red</item>
    </style>
    <style name="DialogTheme2MenuItemStyle" parent="@style/QMUI.Dialog.MenuItem">
        <item name="android:textSize">26sp</item>
        <item name="android:textColor">?attr/qmui_config_color_gray_1</item>
        <item name="android:paddingLeft">30dp</item>
        <item name="android:paddingRight">30dp</item>
    </style>

    <style name="DialogTheme2MenuContainerStyle" parent="@style/QMUI.Dialog.MenuContainer">
        <item name="qmui_dialog_menu_item_height">60dp</item>
        <item name="qmui_dialog_menu_container_padding_top_when_title_exist">23dp</item>
        <item name="qmui_dialog_menu_container_padding_bottom_when_action_exist">24dp</item>
    </style>

    <style name="DialogTheme2ContentStyle" parent="@style/QMUI.Dialog.EditContent">
        <item name="android:textSize">26sp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="DialogTheme2MessageContentStyle" parent="QMUI.Dialog.MessageContent">
        <item name="android:textColor">?attr/qmui_config_color_gray_4</item>
        <item name="android:textSize">26sp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingTop">13dp</item>
        <item name="android:paddingBottom">27dp</item>
        <item name="android:lineSpacingExtra">5dp</item>
        <item name="qmui_paddingTopWhenNotTitle">24dp</item>
    </style>

    <style name="ProgressBar" parent="@android:style/Widget.ProgressBar.Horizontal">
        <item name="android:maxHeight">50dip</item>
        <item name="android:minHeight">8dip</item>
        <item name="android:indeterminateOnly">false</item>
        <item name="android:indeterminateDrawable">@android:drawable/progress_indeterminate_horizontal</item>
        <item name="android:progressDrawable">@drawable/progressbar</item>
    </style>

    <style name="AppTheme.Launcher" parent="QMUI.Compat.NoActionBar">
        <!-- 通过windowBackground可以设置背景色、背景图片、能解析出图片的XML文件等-->
        <item name="android:windowBackground">@drawable/welcome</item> <!--设置启动背景图-->
        <item name="windowNoTitle">true</item>
        <item name="android:windowFullscreen">true</item>

        <item name="android:windowDrawsSystemBarBackgrounds">false</item>
        <item name="android:windowTranslucentNavigation">true</item>
    </style>

    <style name="dialogWindowAnim" >
        <item name="android:windowEnterAnimation">@anim/dialog_enter_anim</item>
        <item name="android:windowExitAnimation">@anim/dialog_exit_anim</item>
    </style>

    <style name="QDtextAppearanceListItem">
        <item name="android:textColor">?attr/qmui_config_color_black</item>
        <item name="android:textSize">24sp</item>

    </style>

    <style name="QDTextAppearanceListItemSmall">
        <item name="android:textColor">?attr/qmui_config_color_gray_4</item>
        <item name="android:textSize">24sp</item>

    </style>

    <style name="QDTopBar" parent="QMUI.TopBar">
        <item name="qmui_topbar_title_color">@color/qmui_config_color_white</item>
        <item name="qmui_topbar_subtitle_color">@color/qmui_config_color_white</item>
        <item name="qmui_topbar_text_btn_color_state_list">@color/s_topbar_btn_color</item>
        <item name="qmui_topbar_height">48dp</item>
        <item name="qmui_topbar_image_btn_height">48dp</item>
    </style>

<!--    <style name="QDRadiusButton" parent="@style/Button">-->
<!--        <item name="android:layout_height">40dp</item>-->
<!--        <item name="android:layout_width">wrap_content</item>-->
<!--        <item name="android:paddingLeft">?attr/qmui_content_spacing_horizontal</item>-->
<!--        <item name="android:paddingRight">?attr/qmui_content_spacing_horizontal</item>-->
<!--        <item name="android:background">@drawable/s_radius_button_bg</item>-->
<!--        <item name="android:textColor">@color/s_app_color_blue_2</item>-->
<!--        <item name="android:textSize">14sp</item>-->
<!--        <item name="android:gravity">center</item>-->
<!--    </style>-->

    <style name="button_wrapper_style">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:paddingTop">24dp</item>
        <item name="android:paddingBottom">24dp</item>
        <item name="android:background">@drawable/qmui_divider_bottom_bitmap</item>
    </style>

    <style name="commonSpinnerStyle" parent="Widget.AppCompat.Spinner">
        <item name="android:background">@drawable/spinner_border</item>
<!--        <item name="android:popupBackground">@color/main_background</item>-->
        <item name="android:dropDownVerticalOffset">30dp</item>
        <item name="android:paddingLeft">0dp</item>
        <item name="android:paddingRight">4dp</item>
        <item name="android:paddingTop">0dp</item>
        <item name="android:paddingBottom">0dp</item>
        <item name="android:layout_height">26dp</item>
        <item name="android:layout_marginLeft">5dp</item>
        <item name="android:textColor">@color/black</item>
    </style>

    <style name="Dialog_Msg" parent="android:style/Theme.Dialog">
        <!--背景颜色及和透明程度-->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--是否去除标题 -->
        <item name="android:windowNoTitle">true</item>
        <!--是否去除边框-->
        <item name="android:windowFrame">@null</item>
        <!--是否浮现在activity之上-->
        <item name="android:windowIsFloating">true</item>
        <!--是否模糊-->
        <item name="android:backgroundDimEnabled">false</item>
    </style>

    <style name="custom_dialog2" parent="@android:style/Theme.Dialog">
        <item name="android:windowFrame">@null</item>
        <!-- Dialog的windowFrame框为无 -->
        <item name="android:windowIsFloating">true</item>
        <!-- 是否漂现在activity上 -->
        <item name="android:windowIsTranslucent">true</item>
        <!-- 是否半透明 -->
        <item name="android:windowNoTitle">true</item>
        <item name="android:background">@null</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowContentOverlay">@null</item>
        <!-- 去除黑色边框的关键设置项 -->
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 屏幕背景是否变暗 -->
        <item name="android:backgroundDimAmount">0.3</item>
    </style>

    <style name="DialogScale" parent="@android:style/Theme.Dialog">
        <!-- 背景透明 -->
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowContentOverlay">@null</item>
        <!-- 浮于Activity之上 -->
        <item name="android:windowIsFloating">true</item>
        <!-- 边框 -->
        <item name="android:windowFrame">@null</item>
        <!-- Dialog以外的区域模糊效果 -->
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 无标题 -->
        <item name="android:windowNoTitle">true</item>
        <!-- 半透明 -->
        <item name="android:windowIsTranslucent">true</item>
        <!--点击dialog以外区域关闭弹窗-->
        <item name="android:windowCloseOnTouchOutside">true</item>
        <item name="android:windowFullscreen">true</item>

        <!-- Dialog进入及退出动画 -->
        <item name="android:windowAnimationStyle">@style/ActionSheetDialogScale</item>
    </style>

    <!-- ActionSheet进出动画 -->
    <style name="ActionSheetDialogScale" parent="@android:style/Animation.Dialog">
        <item name="android:windowEnterAnimation">@anim/anim_scale_in</item>
        <item name="android:windowExitAnimation">@anim/anim_scale_out</item>
    </style>
</resources>
